# -*- coding: utf-8 -*-
import xml.etree.ElementTree as ET
import sys
import sqlReader
import Utilities

version = float(str(sys.version_info[0]) + '.' + str(sys.version_info[1]))

def main():
    reportName = Utilities.getReportName()
    reportTitle = Utilities.getReportTitle()
    reportTree = ET.parse('layout.rptdesign')
    root = reportTree.getroot()
    Utilities.setReportTitle(reportTitle, root)
    createDataSets(root)
    reportTree = ET.ElementTree(root)
    reportTree.write(reportName, xml_declaration = True, encoding = "utf-8", method = "xml")

def createDataSets(root):
    while True:
        queryName = (str(raw_input('Qual será o nome desse Data set (Digite N para finalizar)? ')))
        if queryName.upper() == 'N':
            break
        query = (str(raw_input('Digite o SQL: '))).upper()
        Utilities.createDataSet(root, queryName, query)
        

if __name__ == '__main__':
    main()